Bug 1307064 - [Patch] Timestamps for configuration files are not kept (causes warnings after Postfix update)
[Patch] Timestamps for configuration files are not kept (causes warnings afte...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
24
All All
unspecified Severity medium
: ---
: ---
Assigned To: Ondřej Lysoněk
Fedora Extras Quality Assurance
: EasyFix, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 10:40 EST by Robert Scheck
Modified: 2016-12-15 22:52 EST (History)
2 users (show)

See Also:
Fixed In Version: postfix-3.1.1-2.fc24 postfix-3.0.5-2.fc23 postfix-3.1.3-2.fc25 postfix-3.1.3-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1307066 1307081 1365015 (view as bug list)
Environment:
Last Closed: 2016-12-01 10:54:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
postfix-3.0.3-timestamp.patch (934 bytes, patch)
2016-02-13 07:37 EST, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2016-02-12 10:40:24 EST
Description of problem:
By default all timestamps of /etc/postfix/* are the timestamps of "make
install" when the RPM package is built. While this is not an issue in general,
this may cause warnings after a postfix update in a common scenario like
this:

Have /etc/postfix/virtual empty (like the default), but reference it within 
main.cf. This needs a "postmap /etc/postfix/virtual" indeed. Everything fine
so far. Then a postfix update happens, /etc/postfix/virtual gets replaced by
the newer file from the RPM package - which leads to a newer timestamp. This 
however makes postfix complaining in logs: "postfix/smtpd[11483]: warning: 
database /etc/postfix/virtual.db is older than source file /etc/postfix/
virtual". The main point here, is that the content of virtual nor virtual.db
changed, just the timestamp of the "source" file.

This issue could be avoided if "install -p" rather "install" is used or if
there is a "touch -c -r <reference>" within the spec file. If there is any
upstream change of one of these files, the newer filestamp would indeed be
applied and thus causes a *.rpmnew (if the original file was touched) - as
it's expected further on.

Version-Release number of selected component (if applicable):
postfix-3.0.3-5.fc24

How reproducible:
Everytime, see above.

Actual results:
Timestamps for configuration files are not kept (causes warnings after Postfix 
update).

Expected results:
Timestamps for configuration files should be kept (thus no Postfix warnings).
Comment 1 Robert Scheck 2016-02-13 07:37 EST
Created attachment 1123772 [details]
postfix-3.0.3-timestamp.patch
Comment 2 Jan Kurik 2016-02-24 10:39:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Update System 2016-08-05 07:37:17 EDT
postfix-3.1.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef3c27f603
Comment 4 Fedora Update System 2016-08-05 07:55:48 EDT
postfix-3.0.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5379be7433
Comment 5 Fedora Update System 2016-08-05 17:21:25 EDT
postfix-3.1.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef3c27f603
Comment 6 Fedora Update System 2016-08-05 17:21:33 EDT
postfix-3.0.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5379be7433
Comment 7 Fedora Update System 2016-08-15 17:26:17 EDT
postfix-3.1.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-08-15 20:50:36 EDT
postfix-3.0.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Jaroslav Škarvada 2016-08-30 10:48:31 EDT
The patch was reverted in upstream, we are going to also revert it in Fedora. Maybe that upstream will come with different solution.
Comment 10 Jaroslav Škarvada 2016-08-30 10:50:41 EDT
(In reply to Jaroslav Škarvada from comment #9)
> The patch was reverted in upstream, we are going to also revert it in
> Fedora. Maybe that upstream will come with different solution.

http://marc.info/?l=postfix-users&m=147234137331669&w=2
Comment 11 Ondřej Lysoněk 2016-11-10 03:27:30 EST
A new patch is available, so this will get fixed after all.
Comment 12 Fedora Update System 2016-11-10 03:28:10 EST
postfix-3.1.3-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f33d97609b
Comment 13 Fedora Update System 2016-11-10 04:00:34 EST
postfix-3.1.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c7283e402
Comment 14 Fedora Update System 2016-11-10 14:27:23 EST
postfix-3.1.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f33d97609b
Comment 15 Fedora Update System 2016-11-11 00:02:17 EST
postfix-3.1.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c7283e402
Comment 16 Fedora Update System 2016-12-01 10:54:18 EST
postfix-3.1.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-12-15 22:52:58 EST
postfix-3.1.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.